# Checkout a CryptoOnrampSession Completes a headless CryptoOnrampSession. This method will attempt to confirm the payment and execute the quote to deliver the crypto to the customer. ## Returns Returns a CryptoOnrampSession object ## Parameters - `mandate_data` (object, optional) This hash contains details about the mandate to create - `mandate_data.customer_acceptance` (object, required) This hash contains details about the customer acceptance of the Mandate. - `mandate_data.customer_acceptance.type` (string, required) The type of customer acceptance information included with the Mandate. One of `online` or `offline`. - `mandate_data.customer_acceptance.accepted_at` (timestamp, optional) The time at which the customer accepted the Mandate. - `mandate_data.customer_acceptance.offline` (object, optional) If this is a Mandate accepted offline, this hash contains details about the offline acceptance. - `mandate_data.customer_acceptance.online` (object, optional) If this is a Mandate accepted online, this hash contains details about the online acceptance. - `mandate_data.customer_acceptance.online.ip_address` (string, required) The IP address from which the Mandate was accepted by the customer. - `mandate_data.customer_acceptance.online.user_agent` (string, required) The user agent of the browser from which the Mandate was accepted by the customer. ```curl curl -X POST https://api.stripe.com/v1/crypto/onramp_sessions/cos_1NamBL2eZvKYlo2CP38sZVEW/checkout \ -u "<>" ``` ### Response ```json { "id": "cos_1NamBL2eZvKYlo2CP38sZVEW", "object": "crypto.onramp_session", "client_secret": "cos_1NamBL2eZvKYlo2CP38sZVEW_secret_B5faamUkzHbcpjy6NndGq1mMZGGCo8FhK2P", "created": 1691010131, "kyc_details_provided": false, "livemode": true, "metadata": {}, "redirect_url": null, "status": "fulfillment_processing", "transaction_details": { "destination_amount": "0.029133919178255537", "destination_currencies": [ "btc", "eth", "matic", "sol", "xlm", "avax", "usdc" ], "destination_currency": "eth", "destination_network": "base", "destination_networks": [ "bitcoin", "ethereum", "base", "polygon", "solana", "stellar", "avalanche" ], "fees": { "network_fee_monetary": "0.07", "transaction_fee_monetary": "4.04" }, "lock_wallet_address": false, "source_amount": "100.00", "source_currency": "usd", "transaction_id": "cxt_1ABC2DEF3ghi4jkl5", "wallet_address": null, "wallet_addresses": null } } ```